Forum Stats

  • 3,853,257 Users
  • 2,264,198 Discussions
  • 7,905,296 Comments

Discussions

package xxx is filtered out by modular filtering

Moh.Sayed
Moh.Sayed Member Posts: 42 Blue Ribbon
edited Sep 13, 2022 5:06AM in Oracle Linux

Hello,

we have a ULN yum mirror server which sync OL8 channels.

on a fresh installed OL8 server, we are installing ovirt-engine package when we got the following error :


[[email protected] ~]# dnf install ovirt-engine
Last metadata expiration check: 0:02:20 ago on Tue 13 Sep 2022 07:17:33 AM +03.
Error:
Problem: package ovirt-engine-4.4.10.7-1.0.10.el8.noarch requires slf4j-jdk14 >= 1.7.0, but none of the providers can be installed
- conflicting requests
- package slf4j-jdk14-1.7.25-4.module+el8+5149+82e4357e.noarch is filtered out by modular filtering
- package slf4j-jdk14-1.7.25-4.module+el8+5206+de031079.noarch is filtered out by modular filtering
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
[[email protected] ~]#


The issue is that slf4j is there in the repository

From Mirror Server

[[email protected] getPackage]# pwd
/var/www/html/yum/OracleLinux/OL8/appstream/x86_64/getPackage
[[email protected] getPackage]# ll slf4j-1*
-rw-r--r--. 1 root root 78787 Apr 8 17:22 slf4j-1.7.28-3.module+el8.6.0+20615+edd0bff8.noarch.rpm
[[email protected] getPackage]#


however yum does not see it

[[email protected] getPackage]# yum list available slf4j
Last metadata expiration check: 0:31:21 ago on Tue 13 Sep 2022 07:17:33 AM +03.
Error: No matching Packages to list


why yum does not see this package ?

and what does the error "filtered out by modular filtering" mean ?